# ---------------------------------------------------------------------
#
# ET4000.mak    Sample VHDW Component for ET4000 chips
#
#               Version 1.0
#
#               (c) Copyright 1988-1994 Apple Computer, Inc. All Rights Reserved.
#
# ---------------------------------------------------------------------

!IF "$(DEBUG)"=="YES"
CLOPT = -NTet4000 -W3 -WX -Zli -Gs -Od -ASw -G2Dx -GEdf
MLOPT = -Cp -DCODESEG=et4000 -Zi
LINKOPT = /a:16 /b /co /f /noe /nod /noi /nol /on:n
!ELSE
CLOPT = -NTet4000 -W3 -WX -Zl -Gs -Oceglnot -ASw -G2Dx -GEdf
MLOPT = -Cp -DCODESEG=et4000
LINKOPT = /a:16 /b /f /noe /nod /noi /nol /on:n
!ENDIF

.cpp.obj :
 cl -nologo -c -DSTRICT $(CLOPT) $<

.asm.obj :
 ml -nologo -c $(MLOPT) $<

.rc.res :
 rc -r $<

all : et4000.qtc

et4000.res  : et4000.rc

et4000v.obj : et4000v.cpp

et4000d.obj : dispatch.asm
 ml -nologo -c $(MLOPT) -Foet4000d.obj dispatch.asm

et4000.obj  : et4000.asm

et4000.qtc  : et4000v.obj  \
              et4000d.obj  \
              et4000.res   \
              et4000.obj   \
              et4000.def   \
              et4000.mak
 @echo et4000v.obj + >et4000.lnk
 @echo et4000.obj + >>et4000.lnk
 @echo et4000d.obj >>et4000.lnk
 @echo et4000.qtc >>et4000.lnk
 @echo et4000.map >>et4000.lnk
 @echo qtw.lib + >>et4000.lnk
 @echo libw + >>et4000.lnk
 @echo sdllcew >>et4000.lnk
 @echo et4000.def >>et4000.lnk
 link $(LINKOPT) @et4000.lnk
 @del et4000.lnk
 rc et4000.res et4000.qtc
