# ---------------------------------------------------------------------
#
# P9000.MAK     Sample VHDW Component for P9000 chips
#
#               Version 1.0
#
#               (c) Copyright 1988-1994 Apple Computer, Inc. All Rights Reserved.
#
# ---------------------------------------------------------------------

!IF "$(DEBUG)"=="YES"
CLOPT = -NTp9000 -W3 -WX -Zli -Gs -Od -ASw -G2Dx -GEdf
MLOPT = -Cp -DCODESEG=p9000 -Zi
LINKOPT = /a:16 /b /co /f /noe /nod /noi /nol /on:n
!ELSE
CLOPT = -NTp9000 -W3 -WX -Zl -Gs -Oceglnot -ASw -G2Dx -GEdf
MLOPT = -Cp -DCODESEG=p9000
LINKOPT = /a:16 /b /f /noe /nod /noi /nol /on:n
!ENDIF

.cpp.obj :
 cl -nologo -c -DSTRICT $(CLOPT) $<

.asm.obj :
 ml -nologo -c $(MLOPT) $<

.rc.res :
 rc -r $<

all : p9000.qtc

p9000.res  : p9000.rc

p9000v.obj : p9000v.cpp

p9000d.obj : dispatch.asm
 ml -nologo -c $(MLOPT) -Fop9000d.obj dispatch.asm

p9000.obj  : p9000.asm

p9000.qtc  : p9000v.obj   \
             p9000d.obj   \
             p9000.res    \
             p9000.obj    \
             p9000.def    \
             p9000.mak
 @echo p9000v.obj + >p9000.lnk
 @echo p9000.obj + >>p9000.lnk
 @echo p9000d.obj >>p9000.lnk
 @echo p9000.qtc >>p9000.lnk
 @echo p9000.map >>p9000.lnk
 @echo qtw.lib + >>p9000.lnk
 @echo libw + >>p9000.lnk
 @echo sdllcew >>p9000.lnk
 @echo p9000.def >>p9000.lnk
 link $(LINKOPT) @p9000.lnk
 @del p9000.lnk
 rc p9000.res p9000.qtc
